import QRious, { QRiousOptions } from 'qrious';
import Vue from 'vue';
export declare const LEVELS: readonly ["L", "M", "Q", "H"];
export declare type Level = typeof LEVELS[number];
declare const _default: {
    props: {
        value: {
            type: StringConstructor;
            required: boolean;
        };
        background: StringConstructor;
        backgroundAlpha: NumberConstructor;
        foreground: StringConstructor;
        foregroundAlpha: NumberConstructor;
        level: {
            type: StringConstructor;
            validator: (level: Level) => boolean;
        };
        mime: StringConstructor;
        padding: NumberConstructor;
        size: NumberConstructor;
    };
    data(this: {
        $props: QRiousOptions;
        mime: string;
    }): {
        qrious: QRious;
        dataUrl: string;
    };
    watch: {
        $props: {
            deep: boolean;
            handler(this: {
                $props: QRiousOptions;
                mime: string;
                qrious: QRious;
                dataUrl: string;
            }): void;
        };
    };
    render(this: Vue & {
        dataUrl: string;
    }): import("vue").VNode;
};
export default _default;
//# sourceMappingURL=index.d.ts.map